Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ListChanger Class Reference

`#include <OgreListChanger.h>`

Inheritance diagram for Ogre::ListChanger:

[legend]
List of all members.

## Public Methods

virtual void | addListItem (Resource *r)=0
virtual void | removeListItem (Resource *r)=0
virtual Resource * | getSelectedItem ()=0
virtual void | setSelectedItem (Resource *r)=0
virtual void | setSelectedItem (Resource *r, bool on)=0
virtual ResourceListConstIterator | getConstIterator () const=0
virtual ResourceListConstIterator | getConstEndIterator () const=0
virtual Resource * | popFront ()=0
virtual size_t | getListSize () const=0

## Member Function Documentation

virtual void Ogre::ListChanger::addListItem | ( | Resource * | r | ) | `[pure virtual]`

| Implemented in Ogre::ListGuiElement, and Ogre::PopupMenuGuiElement.

virtual ResourceListConstIterator Ogre::ListChanger::getConstEndIterator | ( |  | ) | const`[pure virtual]`

| Implemented in Ogre::ListGuiElement, and Ogre::PopupMenuGuiElement.

virtual ResourceListConstIterator Ogre::ListChanger::getConstIterator | ( |  | ) | const`[pure virtual]`

| Implemented in Ogre::ListGuiElement, and Ogre::PopupMenuGuiElement.

virtual size_t Ogre::ListChanger::getListSize | ( |  | ) | const`[pure virtual]`

| Implemented in Ogre::ListGuiElement, and Ogre::PopupMenuGuiElement.

virtual Resource* Ogre::ListChanger::getSelectedItem | ( |  | ) | `[pure virtual]`

| Implemented in Ogre::ListGuiElement, and Ogre::PopupMenuGuiElement.

virtual Resource* Ogre::ListChanger::popFront | ( |  | ) | `[pure virtual]`

| Implemented in Ogre::ListGuiElement, and Ogre::PopupMenuGuiElement.

virtual void Ogre::ListChanger::removeListItem | ( | Resource * | r | ) | `[pure virtual]`

| Implemented in Ogre::ListGuiElement, and Ogre::PopupMenuGuiElement.

virtual void Ogre::ListChanger::setSelectedItem | ( | Resource * | r,
|  | bool | on
| ) | `[pure virtual]`

| Implemented in Ogre::ListGuiElement, and Ogre::PopupMenuGuiElement.

virtual void Ogre::ListChanger::setSelectedItem | ( | Resource * | r | ) | `[pure virtual]`

| Implemented in Ogre::ListGuiElement, and Ogre::PopupMenuGuiElement.

The documentation for this class was generated from the following file:

- OgreListChanger.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:10 2004